Bug 72101 - UNDO incomplete when contents of a cell with formula is deleted
Summary: UNDO incomplete when contents of a cell with formula is deleted
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo Writer-Tables-Formulas
  Show dependency treegraph
 
Reported: 2013-11-28 06:37 UTC by Mike Kaganski
Modified: 2019-01-16 13:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2013-11-28 06:37:10 UTC
Removing contents of a cell with formula and then undoing results in wrong value (and no formula) in the cell.

Steps to reproduce:
1. Create a text document.
2. Insert a new table.
3. In the first cell, enter the formula "=1".
4. Select the whole cell and delete it. (As described in bug 72100, there will be zero.)
5. Undo.

Expected: the cell should contain the formula "=1".

Actual result: it won't undo anything the first time, after second undo the value of the cell is now "10", no formula!

Tested with 4.1.3.2 and AOO4.0 under Win7x64, and 4.1.3.2 under Ubuntu 13.10 x64.
Comment 1 sasha.libreoffice 2013-11-28 09:56:24 UTC
Thanks for bug report
reproduced in 4.1.3 on Fedora (RFR) 64 bit

in item 4 of description deleting may be done also by Backspace. Undo will be also incorrect (number will appear instead of formula).
Comment 2 QA Administrators 2015-04-19 03:20:02 UTC Comment hidden (obsolete)
Comment 3 Mike Kaganski 2015-04-19 05:17:59 UTC
Still reproducible with Version: 4.4.3.1
Build ID: b2f347f2ac68821efc00b6f1793cda90af748118
Locale: ru_RU
under Win7x64
Comment 4 QA Administrators 2016-09-20 09:24:30 UTC Comment hidden (obsolete)
Comment 5 Mike Kaganski 2016-09-20 15:32:21 UTC
Still reproducible with Version: 5.2.2.1 (x64)
Build ID: 3c2231d4aa4c68281f28ad35a100c092cff84f5d
Comment 6 QA Administrators 2018-04-22 02:32:32 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug